@import '../../core/base';

.chat {
  background-color: #fff;
  padding: 0;
  height: 100%;
  &__container {
    height: inherit;
    display: flex;
  }
  &__aside {
    border-right: 1px solid #eee;
    min-width: 300px;
    max-width: 300px;
    width: 300px;
    @include mobile-lg {
      max-width: 100%;
      width: 100%;
    }
  }
  &__content {
    background-color: #fff;
    display: flex;
    justify-content: center;
    height: 100%;
    width: 100%;
    &_mobile {
      @include mobile-lg {
        display: none;
      }
    }
  }
  &__history {
    @include flex(stretch, space-between, column);
    width: 100%;
    height: 100%;
  }
}

:global {
  .globalClassForMobile {
    [class*="chat__aside"] {
      @include mobile-lg {
        display: none;
      }
    }
    [class*="chat__content_mobile"] {
      @include mobile-lg {
        display: flex;
      }
    }
  }
}